//+------------------------------------------------------------------+
//|                                                  FXG_ma_RSI.mq4  |
//| RSI with an SMA of the RSI.  Floating line with current RSI value|
//+------------------------------------------------------------------+
#property copyright "FXGamer"
#property link      "http://www.FXGamer.net"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 100
#property indicator_buffers 8
#property indicator_color1 MidnightBlue
#property indicator_color2 RoyalBlue
#property indicator_width1 2
#property indicator_width2 2

extern int     RSI_Period        = 14,
               RSI_MA_Period     =  8;

double         RSIBuffer[],
               RSIMABuffer[];
               
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);

   SetIndexBuffer(0,RSIBuffer);
   SetIndexBuffer(1,RSIMABuffer);
   
   SetIndexLabel(0,"RSI");
   SetIndexLabel(1,"RSI MA");
   
   SetLevelStyle(STYLE_DASHDOTDOT,1,DarkViolet);
   //SetLevelValue(0,50);
   SetLevelValue(1,0);

   return(0);
}
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{

   return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int limit;
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) counted_bars=0;
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
  
   for(int i = 0 ;i < limit ;i++){       
      RSIBuffer[i]      = iRSI(Symbol(),0,RSI_Period,PRICE_CLOSE,i);
   }
   
   for(int x = 0; x < (ArraySize(RSIBuffer));x++){
      RSIMABuffer[x] = iMAOnArray(RSIBuffer,0,RSI_MA_Period,0,MODE_SMA,x);
   }
   SetLevelValue(1,RSIBuffer[0]);
   return(0);
}
//+------------------------------------------------------------------+

